# DCM/DFA Reporting And Trafficking API . accountPermissionGroups

## Instance Methods

Gets one account permission group by ID.

Retrieves the list of account permission groups.

### Method Details

`get(profileId, id)`

    Gets one account permission group by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Account permission group ID. (required)

    Returns:
      An object of the form:

        { # AccountPermissionGroups contains a mapping of permission group IDs to names. A permission group is a grouping of account permissions.
        "kind": "dfareporting#accountPermissionGroup", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermissionGroup".
        "id": "A String", # ID of this account permission group.
        "name": "A String", # Name of this account permission group.
      }

`list(profileId)`

    Retrieves the list of account permission groups.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Account Permission Group List Response
        "kind": "dfareporting#accountPermissionGroupsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermissionGroupsListResponse".
        "accountPermissionGroups": [ # Account permission group collection.
          { # AccountPermissionGroups contains a mapping of permission group IDs to names. A permission group is a grouping of account permissions.
            "kind": "dfareporting#accountPermissionGroup", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermissionGroup".
            "id": "A String", # ID of this account permission group.
            "name": "A String", # Name of this account permission group.
          },
        ],
      }